Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QResizeEvent Class Reference

The QResizeEvent class contains event parameters for resize events. More...

    #include <QResizeEvent>

Inherits QEvent.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QEvent

### Public Functions

- QResizeEvent ( const QSize & size, const QSize & oldSize )
- ~QResizeEvent ()
- const QSize & oldSize () const
- const QSize & size () const

- 4 public functions inherited from QEvent

## Detailed Description

The QResizeEvent class contains event parameters for resize events.

Resize events are sent to widgets that have been resized.

The event handler QWidget::resizeEvent() receives resize events.

See also QWidget::resize() and QWidget::setGeometry().

## Member Function Documentation

### QResizeEvent::QResizeEvent ( const QSize & size, const QSize & oldSize )

Constructs a resize event with the new and old widget sizes, size and oldSize respectively.

### QResizeEvent::~QResizeEvent ()

### const QSize & QResizeEvent::oldSize () const

Returns the old size of the widget.

### const QSize & QResizeEvent::size () const

Returns the new size of the widget. This is the same as QWidget::size().